/*************************************************************************

 cave.old.h

 Authors:	Carolina Cruz-Neira, Dave Pape
 Version:	2.4
 Last revised:	15 November 1994

 Backwards compatibility macros for older code.

**************************************************************************/

/*
*	Copyright 1995,1997, Board of Trustees of the University of Illinois,
*	Electronic Visualization Laboratory.
*	All rights reserved.
*
*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF EVL.
*	Unless otherwise agreed to in writing by EVL, this code is
*	to be used and accessed only by SIGGRAPH VROOM participants.
*	It is not public domain software.  Call Margaret Rawlings at
*	(312)-996-3002 for details.
*
*/

#ifndef	__CAVE_OLD_H__
#define	__CAVE_OLD_H__

#define  BUTTON1        CAVEBUTTON1
#define  BUTTON2        CAVEBUTTON2
#define  BUTTON3        CAVEBUTTON3

#define cave_near	CAVENear
#define cave_far	CAVEFar

#define cave_init	CAVEInit
#define cave_display	CAVEDisplay
#define cave_exit	CAVEExit
#define	get_head	CAVEGetHead
#define	get_wand	CAVEGetWand  
#define	get_head_orientation	CAVEGetHeadOrientation
#define	get_wand_orientation	CAVEGetWandOrientation
#define wand_orientation	CAVEWandOrientation  
#define head_orientation	CAVEHeadOrientation


#define	cave_PlayNote(Note, Veloc, Dur, Chan)	CAVEPlayNote(Note,  Veloc,  Dur,  Chan) 
#define	cave_NoteOn(Note, Veloc, Chan)		CAVENoteOn(Note,  Veloc,  Chan) 
#define	cave_NoteOff(Note, Chan)		CAVENoteOff(Note,  Chan) 
#define	cave_PatchChange(Patch, Channel)	CAVEPatchChange(Patch,  Channel)
#define	cave_PlaceSound(sx, sy, sz,  Chan)	CAVEPlaceSound(sx,  sy,  sz,  Chan) 
#define	cave_LoadSounds(sx)			CAVELoadSounds(sx)
#define	cave_AllNotesOff()			CAVEAllNotesOff()
#define	cave_PitchBend(channel, pitch)		CAVEPitchBend(channel,  pitch)

#endif
